﻿using Syncfusion.DataSource;
using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace SfListViewSample
{
    public partial class MainPage : ContentPage
    {

        public MainPage()
        {

            InitializeComponent();
            BindingContext = new BandInfoRepository();

            listView.DataSource.LiveDataUpdateMode = LiveDataUpdateMode.AllowDataShaping;

        }

        private void Handle_Clicked(object sender, EventArgs e)
        {

            foreach (Contacts c in BandInfoRepository.Instance.BandInfo)
            {
                c.RaisedOnPropertyChanged("ContactName");
                c.RaisedOnPropertyChanged("Group");
            }

        }

    }
}
